header {
    background-color: transparent;
    backdrop-filter: blur(50px);
    padding: 0.5rem;
    padding-inline: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid var(--deep-teal);
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 100;
}

#contain {
    position: absolute;
    width: 100vw;
    height: 400px;
    overflow: hidden;
    z-index: -10;
}

#circle {
    background-color: var(--accent-color);
    border-radius: 50%;
    width: 400px;
    height: 400px;
    position: absolute;
    top: -40px;
    right: -80px;
}

header .logo {
    width: 70px;
    height: auto;
}

header .mobile-menu {
    overflow: hidden;
}

header .mobile-menu .menu-icon {
    font-size: 1.8rem;
    padding: 1rem;
    border-radius: 50%;
    background-color: transparent;
    border: none;
    font-weight: 600;
    color: var(--deep-teal);
    position: absolute;
    top: -2px;
    right: 0;
    z-index: 80;
}

header .mobile-menu .menu {
    background-color: var(--light-teal);
    overflow-y: scroll;
    padding-top: 14px;
    padding-top: 14px;
    padding-inline: 2px;
    width: calc(100vw / 1.5);
    height: 100vh;
    overflow: hidden;
    position: absolute;
    top: 1px;
    right: 0;
    z-index: 50;
    transform: translateX(100%);
    transform-origin: right;
    transition: transform 0.5s ease-in-out;
}

#translateX100 {
    animation: slideOut 0.5s ease-in-out forwards;
    transform: translateX(100%);
}
@keyframes slideOut {
    from {
        opacity: 1;
        width: calc(100vw / 1.5);
    }
    to {
        opacity: 0;
        width: 0px;
    }
}

#translateX0 {
    transform: translateX(0%);
    animation: slideIn 0.5s ease-in-out forwards;
}
@keyframes slideIn {
    from {
        opacity: 0;
        width: 0px;
    }
    to {
        opacity: 1;
        width: calc(100vw / 1.5);
    }
}

.mobile-menu .menu h3 {
    font-size: 1.5rem;
    margin-bottom: 0.71rem;
    color: var(--deep-teal);
    padding: 0 1.3rem;
    position: sticky;
    top: 0px;
}

.mobile-menu .menu hr {
    border: 0.045rem solid var(--deep-teal);
    margin-bottom: 2.2rem;
}

.mobile-menu .menu .menu-lists .menu-list {
    margin-bottom: 2rem;
    box-shadow: -0px 0.7px 0.9px var(--primary-color);
    border-radius: 0.18rem;
}

.mobile-menu .menu .menu-list a {
    font-weight: 600;
    color: var(--deep-teal);
    display: block;
    padding: 0.6rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 1rem;
    white-space: nowrap;
    transition: .5s all;
}

.mobile-menu .menu .menu-list a:focus,
.mobile-menu .menu .menu-list a:hover,
.mobile-menu .menu .menu-list a:active {
    color: var(--primary-color);
    transform: scale(1.08);
}

.mobile-menu .menu .menu-list ul {
    animation: drop-down 0.4s ease-in-out forwards;
    padding: 0.8rem;
}
@keyframes drop-down {
    0% {
        opacity: 0;
        height: 0;
    }
    80% {
        opacity: 0.5;
        height: auto;
    }
    100% {
        opacity: 1;
        height: auto;
    }
}

.mobile-menu .menu-list ul .opt-list a {
    padding: 0.3rem;
    margin: 0;
    margin-bottom: 0.2rem;
    padding-left: 0.7rem;
    font-weight: 500;
    display: block;
}

.mobile-menu .menu-list ul .opt-list a i {
    padding-right: 0.5rem;
}
main {
    margin-top: 3rem;
}

.hero {
    display: grid;
    scroll-margin-top: 5rem;
    grid-auto-columns: auto;
    grid-auto-flow: row;
    row-gap: 1rem;
}

.hero .img {
    width: calc(100vw / 1.1);
    height: auto;
    justify-self: end;
    align-self: end;
    margin-top: 1.5rem;
    overflow-x: hidden;
}

.hero .img .house {
    width: 100%;
    transform-origin: right;
    animation: comeIn 0.5s ease-in forwards;
}

.hero .content {
    padding: 1rem;
}

.hero .content h1 {
    font-size: xx-large;
    width: calc(100vw / 1.2);
    color: var(--primary-color);
    background: linear-gradient(
        to right,
        var(--secondary-color),
        var(--deep-teal) 65%
    );
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    margin-bottom: 1.4rem;
    line-height: 1.4;
}

.hero .content .description {
    font-weight: 505;
    color: var(--deep-teal);
}

.hero .content .cta {
    margin-top: 2.2rem;
}

.content .cta a {
    padding: 0.6rem;
    display: inline-block;
    padding-inline: 1rem;
    font-weight: 600;
    color: var(--very-light-teal);
    font-family: var(--lato);
    margin-top: 0.7rem;
    margin-bottom: 0.7rem;
    margin-right: 0.5rem;
    border-radius: 0.5rem;
    font-size: clamp(1rem, 1.5vw, 1.2rem);
    transition: 0.5s;
}

.content .cta a:first-child {
    background-color: var(--secondary-color);
}

.content .cta a:last-child {
    background-color: var(--accent-color);
    color: var(--primary-color);
}

.content .cta a:first-child:focus,
.content .cta a:first-child:hover {
    transform: scale(1.05);
    transition-duration: 500ms;
    background: linear-gradient(
        to right,
        var(--secondary-color) 45%,
        var(--accent-color)
    );
}

.content .cta a:last-child:focus,
.content .cta a:last-child:hover {
    transform: scale(1.05);
    transition-duration: 500ms;
    background: linear-gradient(
        to right,
        var(--accent-color),
        var(--light-teal)
    );
}

.listings {
    margin-top: 8.5rem;
    margin-bottom: 9rem;
    padding: 1rem;
    scroll-margin-top: 5rem;
    background-color: var(--light-teal);
}

.listings .listing-header {
    width: 100%;
    margin-inline: auto;
    padding-top: 1rem;
}

.listings .listing-header h2 {
    text-align: center;
    margin-bottom: 1.1rem;
}

.listings .listing-header .text {
    text-align: center;
    font-weight: 500;
    max-width: 700px;
    margin-inline: auto;
}

.listings .listing-filter {
    margin-top: 3rem;
    display: flex;
    scroll-margin-top: 12rem;
    align-items: center;
    max-width: 80%;
    margin-inline: auto;
}

.listings .listing-filter .filter {
    padding: 0.8rem;
    padding-inline: 1.5rem;
    border-right: 0.1rem solid var(--accent-color);
    background-color: var(--secondary-color);
    color: var(--very-light-teal);
    flex-grow: 1;
    flex-shrink: 0;
    text-align: center;
    font-weight: 600;
    transition: 0.5s;
}

.listings .listing-filter .filter:last-child {
    border-right: none;
}

.listings .listing-filter .filter1 {
    padding: 0.35rem;
    padding-inline: 1rem;
    border-right: 0.1rem solid var(--accent-color);
    background-color: var(--secondary-color);
    color: var(--very-light-teal);
    flex-grow: 0;
    flex-shrink: 2;
    text-align: center;
    font-weight: 600;
    transition: 0.5s;
}

.listings .listing-filter .filter1 i {
    color: var(--very-light-teal);
    font-size: 1.5rem;
}

.listings .listing-filter .filter1 i:last-child {
    color: var(--secondary-color);
    font-size: 1.2rem;
    font-weight: 900;
    transform: rotateY(180deg) rotateZ(5deg);
}

.listings .listing-filter .filter1:hover i:last-child,
.listings .listing-filter .filter1:focus i:last-child,
.listings .listing-filter .filter1:active i:last-child {
    color: var(--primary-color);
}

.listings .listing-filter .filter1:hover,
.listings .listing-filter .filter1:focus,
.listings .listing-filter .filter1:active {
    background-color: var(--primary-color);
}

.listings .listing-filter .filter:hover,
.listings .listing-filter .filter:focus,
.listings .listing-filter .filter:active {
    background-color: var(--primary-color);
}

.listings .listing-lists {
    margin-top: 3rem;
    margin-bottom: 5rem;
    padding-inline: 0.5rem;
    padding-bottom: 1.2rem;
    display: flex;
    gap: 1.5rem;
    max-width: 100%;
    width: 100%;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: center;
    overflow-x: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--secondary-color) var(--very-light-teal);
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
}

.listings .listing-lists a .list-cards {
    border-radius: 0.8rem;
    flex-basis: 280px;
    min-width: 280px;
    flex-grow: 1;
    flex-shrink: 0;
    max-width: 380px;
    scroll-snap-align: start;
    background-color: var(--very-light-teal);
    position: relative;
    cursor: pointer;
}

.listings .listing-lists a .list-cards .category {
    position: absolute;
    left: 0.3rem;
    top: 0.3rem;
    background-color: var(--deep-teal);
    padding: 0.4rem;
    border-radius: 0.4rem;
    color: var(--light-teal);
}

.listings .listing-lists a .list-cards .status {
    position: absolute;
    right: 0.3rem;
    top: 0.3rem;
    background-color: var(--deep-teal);
    padding: 0.4rem;
    padding-inline: 0.6rem;
    border-radius: 0.4rem;
    color: var(--light-teal);
}

.listings a .list-cards div {
    width: 100%;
    border-top-left-radius: 0.8rem;
    border-top-right-radius: 0.8rem;
    max-height: 320px;
    object-fit: fill;
    overflow: hidden;
}

.listing-lists a .list-cards .list-img {
    border-top-left-radius: 0.8rem;
    border-top-right-radius: 0.8rem;
    height: 100%;
    transition: transform 0.5s ease-in-out;
}

.listing-lists a .list-cards .list-img:hover,
.listing-lists a .list-cards .list-img:focus {
    transform: scale(1.06);
}

.listing-lists a .list-cards .list-content {
    padding: 0.8rem;
    padding-top: 0.1rem;
}

.listing-lists a .list-cards .list-content h3 {
    margin-bottom: 0.5rem;
}

.listing-lists a .list-cards .list-content p {
    color: var(--deep-teal);
}

a .list-cards .list-content .list-details {
    margin-top: 0.8rem;
}

a .list-cards .list-content .list-details .rooms {
    color: var(--primary-color);
    display: inline-block;
}

a .list-cards .list-content .list-details .rooms i {
    color: var(--primary-color);
    margin-right: 0.25rem;
    font-size: 1.1rem;
}

a .list-cards .list-content .list-details p {
    color: var(--deep-teal);
}

a .list-cards .list-content .list-details .location {
    font-style: italic;
    font-weight: 500;
    margin-top: 0.2rem;
}

a .list-cards .list-content .list-details .price {
    font-weight: 600;
    margin-top: 0.5rem;
    font-size: 1.5rem;
    color: var(--primary-color);
}

.listings .btn-full-listing {
    padding: 0.5rem;
    border-radius: 0.8rem;
    background: linear-gradient(rgb(52, 236, 224), rgb(11, 99, 93));
    color: var(--very-light-teal);
    margin-top: 1rem;
    position: relative;
    display: block;
    z-index: 1;
    cursor: pointer;
    font-weight: 600;
    text-align: center;
    width: 90%;
    margin-inline: auto;
    transition: transform 1s ease-in-out;
    box-shadow: 0 0 0.5rem var(--accent-color);
}

.listings .btn-full-listing::before {
    content: "";
    position: absolute;
    top: 0;
    border-radius: 0.8rem;
    bottom: 0;
    right: 100%;
    display: inline-block;
    left: 0;
    background: linear-gradient(rgb(0, 46, 57), rgb(0, 95, 115));
    opacity: 0;
    z-index: -1;
    transition: all 0.5s;
}

.listings .btn-full-listing:hover::before,
.listings .btn-full-listing:focus::before {
    left: 0;
    right: 0;
    opacity: 1;
}

.about {
    padding: 0;
    margin-bottom: 8rem;
    scroll-margin-top: 5rem;
}

.about .about-details {
    width: 80%;
    margin-inline: auto;
    margin-bottom: 2.5rem;
}

.about .about-details .about-heading {
    text-align: center;
    margin-bottom: 1.5rem;
}

.about .about-details .about-description {
    font-weight: 500;
    max-width: 700px;
    margin-inline: auto;
    text-align: center;
}

.about .about-features {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    overflow-x: hidden;
}

.about .about-features .feature {
    max-width: 400px;
    min-width: 300px;
    margin: 1rem;
    margin-bottom: 4rem;
    border-radius: 1.5rem;
    padding: 1rem;
    padding-bottom: 3rem;
    box-shadow: 0px 0px 6px var(--accent-color);
}

.about .about-features .feature svg {
    width: 50%;
    display: block;
    margin-inline: auto;
    height: auto;
}

.about .about-features .feature h3 {
    margin-top: 1rem;
    margin-bottom: 1rem;
    text-align: center;
    color: var(--secondary-color);
}

.about .about-features .feature p {
    text-align: center;
}

.process {
    padding: 1rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
    position: relative;
    background: url("../images/homepage/our-process.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    margin-bottom: 7rem;
    scroll-margin-top: 5rem;
}

.process::before {
    content: "";
    background: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    backdrop-filter: blur(3px);
}

.process .process-heading {
    z-index: 10;
    position: relative;
    padding: 1rem;
}

.process .process-heading h2 {
    color: var(--light-teal);
    text-align: center;
    margin-bottom: 1.2rem;
}

.process .process-heading p {
    color: var(--very-light-teal);
    font-weight: 500;
    text-align: center;
    max-width: 650px;
    margin-inline: auto;
}

.process .process-steps {
    z-index: 10;
    position: relative;
    max-width: 800px;
    margin-inline: auto;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

.process .process-steps .steps {
    backdrop-filter: blur(7px);
    border-radius: 1.3rem;
    border: 0.05rem solid var(--light-teal);
    padding: 0.5rem;
    max-width: 380px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: nowrap;
    margin-bottom: 1.2rem;
}

.process .process-steps .steps i {
    color: var(--light-teal);
    font-size: 6rem;
    margin-inline: 1rem;
}

.process .process-steps .steps svg {
    max-width: 25%;
    margin-inline: 1rem;
}

.process .process-steps .steps .comment {
    transform: rotateY(180deg);
}

.process .process-steps .steps .description h4 {
    color: var(--light-teal);
    margin-bottom: 0.8rem;
}

.process .process-steps .steps .description p {
    color: var(--very-light-teal);
}

.testimonial {
    padding: 1rem;
    scroll-margin-top: 5rem;
    margin-bottom: 7rem;
}

.testimonial .testimonial-heading {
    margin-inline: auto;
    margin-bottom: 2rem;
}

.testimonial .testimonial-heading h2 {
    text-align: center;
    margin-bottom: 0.8rem;
}

.testimonial .testimonial-heading p {
    text-align: center;
    font-weight: 500;
    max-width: 650px;
    margin-inline: auto;
}

.testimonial .testimonies {
    margin-top: 4rem;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    max-width: 1200px;
    margin-inline: auto;
}

.testimonial .testimonies .testimony {
    max-width: 280px;
    margin-bottom: 2rem;
}

.testimonial .testimonies .testimony i {
    font-size: 3rem;
    display: block;
    text-align: center;
    margin-bottom: 1rem;
    color: var(--secondary-color);
}

.testimonial .testimonies .testimony p {
    color: var(--primary-color);
    text-align: center;
    min-width: 300px;
    max-width: 450px;
}

.testimonial .testimonies .testimony label {
    font-size: 1.01rem;
    display: block;
    text-align: right;
    margin-right: 1rem;
    margin-top: 0.5rem;
}

.get-in-touch {
    margin-bottom: 2rem;
    display: flex;
    flex-wrap: wrap;
    scroll-margin-top: 5rem;
    align-items: center;
}

.get-in-touch .get-in-touch_consultant-infos {
    background-color: var(--light-teal);
    padding: 1rem;
    flex-grow: 1;
    width: 700px;
    overflow-x: hidden;
}

.get-in-touch .get-in-touch_consultant-infos .heading {
    margin-top: 0.4rem;
    padding-top: 2rem;
}

.get-in-touch .get-in-touch_consultant-infos .heading h2 {
    margin-bottom: 0.5rem;
}

.get-in-touch .get-in-touch_consultant-infos .heading h2 i {
    font-size: 1.3rem;
}

.get-in-touch .get-in-touch_consultant-infos .heading p {
    font-weight: 500;
}

.get-in-touch .get-in-touch_consultant-infos .info {
    margin-top: 2rem;
    margin-bottom: 3rem;
}

.get-in-touch .get-in-touch_consultant-infos .info a {
    margin-bottom: 1rem;
    display: block;
    padding: 0.5rem;
    border-radius: 0.8rem;
    transition: 500ms;
    font-weight: 500;
    color: var(--secondary-color);
}

.get-in-touch .get-in-touch_consultant-infos .info a:focus,
.get-in-touch .get-in-touch_consultant-infos .info a:hover {
    color: var(--primary-color);
    text-decoration: underline;
}

.get-in-touch .get-in-touch_user-infos {
    padding: 1rem;
    flex-grow: 1;
    overflow-x: hidden;
    width: 700px;
    background-color: var(--accent-color);
}

.get-in-touch .get-in-touch_user-infos .heading {
    margin-top: 1rem;
    padding: 0.5rem;
    padding-top: 0;
}

.get-in-touch .get-in-touch_user-infos .heading h2 {
    margin-bottom: 0.5rem;
}

.get-in-touch .get-in-touch_user-infos .heading h2 i {
    font-size:1.3rem;
}

.get-in-touch .get-in-touch_user-infos .heading p {
    font-weight: 500;
}

.get-in-touch .get-in-touch_user-infos .info {
    margin-top: 1rem;
}

.get-in-touch .get-in-touch_user-infos .info form {
    padding: 0.5rem;
}

.get-in-touch .get-in-touch_user-infos .info form input {
    display: block;
    height: 2.3rem;
    border: 0.05rem solid var(--accent-color);
    border-radius: 1.1rem;
    background-color: var(--light-teal);
    color: var(--deep-teal);
    padding: 0.5rem;
    padding-inline: 0.8rem;
    margin-bottom: 1.2rem;
    width: 95%;
    position: relative;
}

.get-in-touch .get-in-touch_user-infos .info form input:focus,
.get-in-touch .get-in-touch_user-infos .info form input:hover {
    outline: none;
    border-color: var(--primary-color);
    box-shadow: 0 0 0.35rem var(--very-light-teal);
}

.get-in-touch .get-in-touch_user-infos .info form ::placeholder {
    color: var(--deep-teal);
    opacity: 0.8;
    font-family: var(--lato);
}

.get-in-touch .get-in-touch_user-infos .info form textarea {
    display: block;
    border: 0.05rem solid var(--accent-color);
    border-radius: 1rem;
    background-color: var(--light-teal);
    color: var(--deep-teal);
    padding: 0.5rem;
    padding-inline: 0.8rem;
    margin-bottom: 1.2rem;
    width: 95%;
    position: relative;
}

.get-in-touch .get-in-touch_user-infos .info form textarea:focus,
.get-in-touch .get-in-touch_user-infos .info form textarea:hover {
    outline: none;
    box-shadow: 0 0 0.35rem var(--very-light-teal);
    border-color: var(--primary-color);
}

.get-in-touch .get-in-touch_user-infos .info form button {
    padding: 0.7rem;
    padding-inline: 1.1rem;
    border: none;
    color: var(--very-light-teal);
    background: linear-gradient(rgb(52, 236, 224), rgb(11, 99, 93));
    z-index: 1;
    border-radius: 0.5rem;
    box-shadow: 0 0 0.35rem var(--very-light-teal);
    font-weight: 500;
    position: relative;
    overflow: hidden;
    position: relative;
    transition: 0.5s ease-in;
}

.get-in-touch .get-in-touch_user-infos .info form button::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 100%;
    display: inline-block;
    left: 0;
    background: linear-gradient(rgb(0, 46, 57), rgb(0, 95, 115));
    opacity: 0;
    z-index: -1;
    transition: all 0.5s;
}

.get-in-touch .get-in-touch_user-infos .info form button:hover::before,
.get-in-touch .get-in-touch_user-infos .info form button:focus::before {
    opacity: 1;
    left: 0;
    right: 0;
}

.get-in-touch .get-in-touch_user-infos .info form button:hover,
.get-in-touch .get-in-touch_user-infos .info form button:focus {
    box-shadow: 0 0 2rem var(--very-light-teal);
}

.get-in-touch .get-in-touch_user-infos .info form button span {
    position: relative;
    z-index: 2;
}

footer {
    background: var(--deep-teal);
    width: 100%;
    min-height: 200px;
    position: relative;
    padding: 1rem;
}

footer h2 {
    text-align: center;
    color: var(--light-teal);
    margin-bottom: 2rem;
}

footer .links {
    margin-top: 1.5rem;
    margin-inline: 1rem;
    margin-bottom: 1rem;
}

footer .links .links_short {
    display: flex;
    flex-shrink: 0;
    flex-wrap: wrap;
    max-width: 650px;
    margin-inline: auto;
    align-items: center;
}

footer .links .links_short .short {
    font-weight: 600;
    transition: 0.3s ease-in-out;
    color: var(--very-light-teal);
    margin-bottom: 1rem;
    margin-inline: clamp(0.5rem, 1vw, 1rem);
}

footer .links .links_short .short:hover,
footer .links .links_short .short:focus {
    color: var(--secondary-color);
    transform: scale(1.05);
}

footer .links .links_icon {
    margin-top: 1rem;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
    max-width: 350px;
    margin-inline: auto;
}

footer .links .links_icon .icon {
    font-size: 1.7rem;
    color: var(--very-light-teal);
    font-weight: 600;
    text-shadow: 0 0 0.09rem var(--accent-color);
    transition: 0.5s ease-in-out;
}

footer .links .links_icon .icon:hover,
footer .links .links_icon .icon:focus {
    color: var(--secondary-color);
    transform: scale(1.15);
}

footer .close-page {
    max-width: 600px;
    margin-inline: auto;
    margin-top: 3.5rem;
}

footer .close-page p {
    color: var(--very-light-teal);
    font-weight: 500;
    text-align: center;
}

.storeset {
    position: absolute;
    bottom: 0.5rem;
    right: 0.8rem;
    font-size: 0.8rem;
    font-weight: 600;
    text-shadow: 0 0 0.01rem var(--very-light-teal);
    color: var(--accent-color);
    animation: ping 0.8s ease-in-out infinite alternate-reverse;
}

@keyframes ping {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(1.2);
    }
}

.hidden {
    display: none;
}

@media (min-width: 375px) {
    #contain {
        height: 450px;
    }
    #circle {
        width: 450px;
        height: 450px;
    }
    .hero .img {
        margin-top: 2rem;
    }
}

@media (min-width: 480px) {
    header .logo {
        width: 80px;
        height: auto;
    }

    #contain {
        height: 500px;
    }

    #circle {
        width: 500px;
        height: 500px;
    }

    .hero .img {
        width: calc(100vw / 1.15);
    }

    .hero .content .cta a {
        padding-inline: 1.5rem;
    }
}

@media (min-width: 640px) {
    header {
        padding-inline: 2.5rem;
    }

    header .logo {
        width: 90px;
        height: auto;
    }

    #contain {
        height: 600px;
    }

    #circle {
        width: 600px;
        height: 600px;
    }

    .hero .img {
        width: calc(100vw / 1.18);
    }

    .hero .content .cta a {
        padding-inline: 1.8rem;
    }

    .listings .listing-filter {
        max-width: 350px;
    }
}

@media (min-width: 768px) {
    header .logo {
        width: 90px;
        height: auto;
    }

    header .mobile-menu .menu-icon {
        display: none;
    }

    header .mobile-menu .menu {
        background-color: transparent;
        overflow: hidden;
        padding-top: 0;
        width: auto;
        height: auto;
        position: static;
        top: auto;
        right: auto;
        transform-origin: right;
        animation: none;
        transform: none;
        transition: none;
    }

    .mobile-menu .menu h3 {
        display: none;
    }

    .mobile-menu .menu hr {
        display: none;
    }

    .mobile-menu .menu .menu-lists {
        display: flex;
        align-items: center;
    }

    .mobile-menu .menu .menu-lists .menu-list {
        margin-bottom: 0;
        box-shadow: none;
        border-radius: 0;
    }

    .mobile-menu .menu-lists .menu-list a {
        font-weight: 700;
        padding-inline: 1.1rem;
        border-radius: 1rem;
    }

    .mobile-menu .menu .menu-list a:focus,
    .mobile-menu .menu .menu-list a:hover,
    .mobile-menu .menu .menu-list a:active {
        color: var(--primary-color);
    }

    .mobile-menu .menu .menu-list ul {
        position: absolute;
        top: 3.5rem;
        right: auto;
        margin-left: 1.5rem;
        background-color: var(--accent-color);
        z-index: 20;
        padding: 0.5rem;
        padding-top: 1rem;
        -moz-border-radius-bottomright: 0.3rem;
        -moz-border-radius-bottomleft: 0.3rem;
        border-bottom-right-radius: 0.3rem;
        border-bottom-left-radius: 0.3rem;
    }

    .mobile-menu .menu-list ul .opt-list a {
        padding: 0;
        margin-bottom: 0.8rem;
        padding-left: 0.8rem;
        padding-right: 0.8rem;
        font-weight: 505;
    }

    .drop-down {
        padding-left: 0.8rem;
    }

    #contain {
        height: 450px;
    }

    #circle {
        width: 450px;
        height: 450px;
    }

    .hero {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 1.2rem;
    }

    .hero .img {
        width: calc(100vw / 1.6);
        margin-top: 0px;
        order: 2;
    }

    .hero .content {
        max-width: calc(100vw / 2.4);
    }

    .hero .content h1 {
        width: auto;
    }

    .hero .content .cta a {
        padding: 0.8rem;
        padding-inline: 1.3rem;
        border-radius: 0.7rem;
    }

    .listings .listing-header h2 {
        text-align: center;
        margin-bottom: 1.1rem;
    }

    .listings .listing-filter {
        max-width: 500px;
    }

    .about .about-details .about-heading {
        text-align: center;
    }

    .about .about-details .about-description {
        width: 75%;
        margin-inline: auto;
    }
}

@media (min-width: 986px) {
    header .logo {
        width: 95px;
        height: auto;
    }

    #contain {
        height: 500px;
    }

    #circle {
        width: 500px;
        height: 500px;
    }

    .hero {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 1.2rem;
        flex-basis: 200px;
    }

    .hero .img {
        flex-grow: 1;
        margin-top: 0px;
        order: 2;
    }

    .hero .content {
        flex-grow: 2;
    }

    .hero .content h1 {
        width: auto;
    }
}

@media (min-width: 1024px) {
    header .logo {
        width: 110px;
        height: auto;
    }

    .mobile-menu .menu-lists .menu-list a {
        padding-inline: 1.3rem;
    }

    .mobile-menu .menu .menu-list ul {
        top: 4rem;
    }

    #contain {
        height: 600px;
    }

    #circle {
        width: 600px;
        height: 600px;
    }

    .hero {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 1.2rem;
        flex-basis: 200px;
    }

    .hero .img {
        flex-grow: 1;
        margin-top: 0px;
        order: 2;
    }

    .hero .content {
        flex-grow: 3;
    }

    .hero .content h1 {
        width: auto;
    }

    .hero .content .cta a {
        padding: 1rem;
        padding-inline: 1.8rem;
        border-radius: 1rem;
        margin-right: 0.9rem;
    }

    .listings .listing-header h2 {
        text-align: center;
        margin-bottom: 1.1rem;
    }

    .about .about-details .about-heading {
        text-align: center;
    }

    .process .process-steps {
        max-width: 1000px;
    }

    .process .process-steps .steps {
        max-width: 460px;
        margin-bottom: 2.3rem;
    }
}

@media (min-width: 1280px) {
    header .logo {
        width: 120px;
        height: auto;
    }

    #contain {
        height: 600px;
    }

    #circle {
        width: 600px;
        height: 600px;
    }

    .hero {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 1.2rem;
        flex-basis: 200px;
    }

    .hero .img {
        flex-grow: 1;
        margin-top: 0px;
        order: 2;
    }

    .hero .content {
        flex-grow: 3;
    }

    .hero .content h1 {
        width: auto;
    }

    .hero .content .cta a {
        padding-inline: 2rem;
        margin-right: 1.2rem;
    }
}